Subject: Re: bug#73318: 31.0.50; with-native-compilation=aot breaks exec -a emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Oct 2024 21:44:20 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>    [email-masked],  [email-masked]
> Date: Mon, 07 Oct 2024 10:18:37 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That means to throw away a lot of code in emacs.c which we use now and
> > was tested for several Emacs releases.  No, thanks, not for this
> > obscure scenario.
> 
> OK, then perhaps just falling back on finding it relative to the pdump.
> 
> > I still don't understand why you insist on not changing your script to
> > include the leading directories in argv[0].  It makes absolutely no
> > sense to me to invent new code in such a place, when the alternative
> > is so easy and reliable.
> 
> I would change the script if I could, but I can't: It's already been
> copied into thousands of users' home directories.  It's such a tiny
> wrapper (it just does "exec -a program /path/to/program") that it has
> never needed to be modified for any program before this.

Suit yourself, but I don't promise I will agree to accept the code
changes you want to make.  This makes less and less sense to me as we
continue talking about it.

Emacs built with native compilation has additional requirements, and
those requirements invalidate the (fragile) assumptions on which your
wrapper script is based.  So my suggestion is to adapt, like we adapt
to any changes to software we use that are outside of our control.
That's life.